library ieee;
use ieee.std_logic_1164.all;
use std.textio.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_textio.all;

entity tb_adderbeh5 is
end tb_adderbeh5;

architecture tb5 of tb_adderbeh5 is
component adderbeh is

port ( A,B: in std_logic_vector(31 downto 0);
	R: out std_logic_vector(31 downto 0)
	);
end component;

signal A,B: std_logic_vector(31 downto 0);
signal	R,C: std_logic_vector(31 downto 0);


begin
dut: adderbeh port map (A,B,R);

process
type file_int is file of integer;
variable l: integer;
variable li: line;
variable v: std_logic_vector(31 downto 0);
file fa: file_int;-- write_mode is "dataint.txt"
file fb: file_int;-- write_mode is "dataint.txt"
file fc: file_int;-- write_mode is "dataint.txt"

begin
file_open(fa,"data_a.txt",write_mode);
file_open(fb,"data_b.txt",write_mode);
file_open(fc,"data_c.txt",write_mode);
for i in 0 to 19 loop
 write(fa,i);
 write(fb,i*i);
 write(fc,i+i*i);
end loop;

file_close(fa);
file_close(fb);
file_close(fc);

file_open(fa,"data_a.txt",read_mode);
file_open(fb,"data_b.txt",read_mode);
file_open(fc,"data_c.txt",read_mode);


while not endfile(fa) and not endfile(fb) and not endfile(fc) loop
 read(fa,l);
 write(li,"A=");write(li,l);
 writeline(output,li);
 a <= conv_std_logic_vector(l,32);
 read(fb,l);
 write(li,"B=");write(li,l);
 writeline(output,li);
 b<= conv_std_logic_vector(l,32);
 read(fc,l);
 write(li,"C="); write(li,l);
 writeline(output,li);
 c<= conv_std_logic_vector(l,32);
 wait for 10 ns;
 
 
end loop;
file_close(fa);
file_close(fb);
file_close(fc);

end process;



end tb5;
 









